## arc-gui-clients 0.3.1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project(arc-gui-clients)

#set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${PROJECT_SOURCE_DIR}/bin")
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")

find_package(OpenSSL REQUIRED)
find_package(Qt4 COMPONENTS QtMain QtCore QtGui QtSql QtXml QtNetwork REQUIRED)
find_package(Glib REQUIRED)
find_package(LibXml2 REQUIRED)
find_package(Glibmm REQUIRED)
find_package(Arc REQUIRED)

include(${QT_USE_FILE})
#message(${QT_USE_FILE})

subdirs(src)

set(CPACK_GENERATOR "TGZ;RPM")
set(CPACK_PACKAGE_NAME "arc-gui-clients")
set(CPACK_PACKAGE_VENDOR "lunarc.lu.se")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Graphical clients for the ARC middleware")
set(CPACK_PACKAGE_VERSION "0.3.1")
set(CPACK_PACKAGE_VERSION_MAJOR "0")
set(CPACK_PACKAGE_VERSION_MINOR "3")
set(CPACK_PACKAGE_VERSION_PATCH "1")
SET(CPACK_BINARY_RPM "ON")
set(CPACK_RPM_PACKAGE_VENDOR "Lunarc, Lund University")
set(CPACK_RPM_PACKAGE_LICENSE "Apache License V2.0")
set(CPACK_RPM_PACKAGE_DESCRIPTION "Graphical clients for the ARC middleware")
set(CPACK_RPM_PACKAGE_REQUIRES "nordugrid-arc-plugins-globus >= 2.0, nordugrid-arc >= 2.0, nordugrid-arc-plugins-needed >= 2.0, nordugrid-arc-client >= 2.0, qt >= 4.6, qt-x11 >= 4.6, openssl >= 1.0")
set(CPACK_PACKAGE_INSTALL_DIRECTORY "CPack Component Example")
set(CPACK_SOURCE_GENERATOR "TGZ;RPM")
set(CPACK_SOURCE_IGNORE_FILES
        /CVS
        /.svn
        ~$
        .\#
        \#
        .DS_Store
        .project
        ./LLNL-bin
        ./Makefile
        xcodeproj$
        ./builddir/
        ./bin/
)
include(CPack)

include(CheckFileOffsetBits)
CHECK_FILE_OFFSET_BITS()
IF(__WITH_FILE_OFFSET_BITS_64)
ADD_DEFINITIONS(-D_FILE_OFFSET_BITS=64)
ENDIF(__WITH_FILE_OFFSET_BITS_64)

=== src/CMakeLists.txt ===
subdirs(arcproxy-ui arcstat-ui arcstorage-ui arccert-ui arcsub-ui)

=== src/arccert-ui/CMakeLists.txt ===
add_definitions(-DQT_NO_KEYWORDS)

include(${QT_USE_FILE})

SET(arccertui_UIS
    mainwindow.ui
)

SET(arccertui_SRCS
  mainwindow.cpp
  main.cpp
)

SET(arccertui_MOC_HDRS
  mainwindow.h
)

#SET(arccertui_RCS 
#  arcproxy-ui.qrc
#)

# After this call, foo_MOC_SRCS = moc_Class1.cxx moc_Class2.cxx moc_Class3.cxx.
QT4_WRAP_CPP(arccertui_MOC_SRCS ${arccertui_MOC_HDRS} )
QT4_WRAP_UI(arccertui_UIS_H ${arccertui_UIS} )
QT4_ADD_RESOURCES( arccertui_RC_SRCS ${arccertui_RCS} )

IF(APPLE)
ADD_EXECUTABLE(
	arccert-ui 
	MACOSX_BUNDLE
	${arcproxyui_SRCS} ${arcproxyui_MOC_SRCS} ${arcproxyui_RC_SRCS} ${arcproxyui_UIS_H}
    ../../images/arccert_icon.icns
)

install(TARGETS arccert-ui
   BUNDLE
   DESTINATION .
)

SET( MACOSX_BUNDLE_ICON_FILE arccert_icon.icns )
SET( MACOSX_BUNDLE_SHORT_VERSION_STRING 0.1 )
SET( MACOSX_BUNDLE_VERSION 0.1 )
SET( MACOSX_BUNDLE_LONG_VERSION_STRING 0.1 )

#SET_SOURCE_FILES_PROPERTIES(
#        ../../bin/release/brushes/rbrush16.rgb
#        ../../bin/release/brushes/rbrush32.rgb
#        ../../bin/release/brushes/rbrush4.rgb
#        ../../bin/release/brushes/rbrush64.rgb
#        ../../bin/release/brushes/rbrush8.rgb
#        ../../bin/release/brushes/sbrush16.rgb
#        ../../bin/release/brushes/sbrush32.rgb
#        ../../bin/release/brushes/sbrush4.rgb
#        ../../bin/release/brushes/sbrush64.rgb
#        ../../bin/release/brushes/sbrush8.rgb
#	PROPERTIES
#	MACOSX_PACKAGE_LOCATION MacOS/brushes
#)
#SET_SOURCE_FILES_PROPERTIES(
#        ../../bin/release/colormaps/colormap1.map
#        ../../bin/release/colormaps/colormap2.map
#	PROPERTIES
#	MACOSX_PACKAGE_LOCATION MacOS/colormaps
#)
SET_SOURCE_FILES_PROPERTIES(
        ../../images/arcproxy_icon.icns
	PROPERTIES
	MACOSX_PACKAGE_LOCATION Resources
)
ELSE(APPLE)
	add_executable(arccert-ui ${arccertui_SRCS} ${arccertui_MOC_SRCS} ${arccertui_RC_SRCS} ${arccertui_UIS_H} )
ENDIF(APPLE)

include_directories(${CMAKE_CURRENT_BINARY_DIR} ${Arc_INCLUDE_DIRS} ${GlibmmConfig_INCLUDE_DIR} ${Glibmm_INCLUDE_DIR} ${GlibConfig_INCLUDE_DIR} ${Glib_INCLUDE_DIR} ${SigC++Config_INCLUDE_DIR} ${SigC++_INCLUDE_DIR} ${LIBXML2_INCLUDE_DIR})

target_link_libraries (arccert-ui ${Arc_LIBRARIES} ${Glibmm_LIBRARY} ${Glib_LIBRARIES} ${SigC++_LIBRARIES} ${LIBXML2_LIBRARIES} ${QT_LIBRARIES} ${OPENSSL_SSL_LIBRARIES} ${OPENSSL_CRYPTO_LIBRARIES})

#if(LINUX)
install(TARGETS arccert-ui DESTINATION bin)
install(FILES arccert-ui.desktop DESTINATION share/applications)
#endif(LINUX)

=== src/arcproxy-ui/CMakeLists.txt ===
add_definitions(-DQT_NO_KEYWORDS)

include(${QT_USE_FILE})

SET(arcproxyui_UIS
    ../common/proxywindow.ui
    ../common/infodialog.ui
)

SET(arcproxyui_SRCS
  ../common/arcproxy-utils.cpp
  ../common/infodialog.cpp
  ../common/proxywindow.cpp
  main.cpp
)

SET(arcproxyui_MOC_HDRS
  ../common/arcproxy-utils.h
  ../common/proxywindow.h
  ../common/infodialog.h
)

SET(arcproxyui_RCS 
  arcproxy-ui.qrc
)

# After this call, foo_MOC_SRCS = moc_Class1.cxx moc_Class2.cxx moc_Class3.cxx.
QT4_WRAP_CPP(arcproxyui_MOC_SRCS ${arcproxyui_MOC_HDRS} )
QT4_WRAP_UI(arcproxyui_UIS_H ${arcproxyui_UIS} )
QT4_ADD_RESOURCES( arcproxyui_RC_SRCS ${arcproxyui_RCS} )

IF(APPLE)
ADD_EXECUTABLE(
	arcproxy-ui 
	MACOSX_BUNDLE
	${arcproxyui_SRCS} ${arcproxyui_MOC_SRCS} ${arcproxyui_RC_SRCS} ${arcproxyui_UIS_H}
    ../../images/arcproxy_icon.icns
)

install(TARGETS arcproxy-ui
   BUNDLE
   DESTINATION .
)

SET( MACOSX_BUNDLE_ICON_FILE arcproxy_icon.icns )
SET( MACOSX_BUNDLE_SHORT_VERSION_STRING 0.1 )
SET( MACOSX_BUNDLE_VERSION 0.1 )
SET( MACOSX_BUNDLE_LONG_VERSION_STRING 0.1 )

#SET_SOURCE_FILES_PROPERTIES(
#        ../../bin/release/brushes/rbrush16.rgb
#        ../../bin/release/brushes/rbrush32.rgb
#        ../../bin/release/brushes/rbrush4.rgb
#        ../../bin/release/brushes/rbrush64.rgb
#        ../../bin/release/brushes/rbrush8.rgb
#        ../../bin/release/brushes/sbrush16.rgb
#        ../../bin/release/brushes/sbrush32.rgb
#        ../../bin/release/brushes/sbrush4.rgb
#        ../../bin/release/brushes/sbrush64.rgb
#        ../../bin/release/brushes/sbrush8.rgb
#	PROPERTIES
#	MACOSX_PACKAGE_LOCATION MacOS/brushes
#)
#SET_SOURCE_FILES_PROPERTIES(
#        ../../bin/release/colormaps/colormap1.map
#        ../../bin/release/colormaps/colormap2.map
#	PROPERTIES
#	MACOSX_PACKAGE_LOCATION MacOS/colormaps
#)
SET_SOURCE_FILES_PROPERTIES(
        ../../images/arcproxy_icon.icns
	PROPERTIES
	MACOSX_PACKAGE_LOCATION Resources
)
ELSE(APPLE)
	add_executable(arcproxy-ui ${arcproxyui_SRCS} ${arcproxyui_MOC_SRCS} ${arcproxyui_RC_SRCS} ${arcproxyui_UIS_H} )
ENDIF(APPLE)

include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${PROJECT_SOURCE_DIR}/src/common ${Arc_INCLUDE_DIRS} ${GlibmmConfig_INCLUDE_DIR} ${Glibmm_INCLUDE_DIR} ${GlibConfig_INCLUDE_DIR} ${Glib_INCLUDE_DIR} ${SigC++Config_INCLUDE_DIR} ${SigC++_INCLUDE_DIR} ${LIBXML2_INCLUDE_DIR})

target_link_libraries (arcproxy-ui ${Arc_LIBRARIES} ${Glibmm_LIBRARY} ${Glib_LIBRARIES} ${SigC++_LIBRARIES} ${LIBXML2_LIBRARIES} ${QT_LIBRARIES} ${OPENSSL_SSL_LIBRARIES} ${OPENSSL_CRYPTO_LIBRARIES})

#if(LINUX)
install(TARGETS arcproxy-ui DESTINATION bin)
install(FILES arcproxy-ui.desktop DESTINATION share/applications)
#endif(LINUX)

=== src/arcstat-ui/CMakeLists.txt ===
add_definitions(-DQT_NO_KEYWORDS)

include(${QT_USE_FILE})

SET(arcstatui_UIS
    mainwindow.ui
)

SET(arcstatui_SRCS
  JmBase.cpp
  mainwindow.cpp
  main.cpp
  arcjobcontroller.cpp
)

SET(arcstatui_MOC_HDRS
  JmBase.h
  mainwindow.h
  arcjobcontroller.h
)

SET(arcstatui_RCS 
  arcstat-ui.qrc
)

# After this call, foo_MOC_SRCS = moc_Class1.cxx moc_Class2.cxx moc_Class3.cxx.
QT4_WRAP_CPP(arcstatui_MOC_SRCS ${arcstatui_MOC_HDRS} )
QT4_WRAP_UI(arcstatui_UIS_H ${arcstatui_UIS} )
QT4_ADD_RESOURCES( arcstatui_RC_SRCS ${arcstatui_RCS} )

IF(APPLE)
	add_executable(arcstat-ui 
	MACOSX_BUNDLE 
	${arcstatui_SRCS} ${arcstatui_MOC_SRCS} ${arcstatui_RC_SRCS} ${arcstatui_UIS_H} 
	../../images/arcstat_icon.icns )

install(TARGETS arcstat-ui
   BUNDLE
   DESTINATION .
)

SET( MACOSX_BUNDLE_ICON_FILE arcstat_icon.icns )
SET( MACOSX_BUNDLE_SHORT_VERSION_STRING 0.1 )
SET( MACOSX_BUNDLE_VERSION 0.1 )
SET( MACOSX_BUNDLE_LONG_VERSION_STRING 0.1 )

#SET_SOURCE_FILES_PROPERTIES(
#        ../../bin/release/brushes/rbrush16.rgb
#        ../../bin/release/brushes/rbrush32.rgb
#        ../../bin/release/brushes/rbrush4.rgb
#        ../../bin/release/brushes/rbrush64.rgb
#        ../../bin/release/brushes/rbrush8.rgb
#        ../../bin/release/brushes/sbrush16.rgb
#        ../../bin/release/brushes/sbrush32.rgb
#        ../../bin/release/brushes/sbrush4.rgb
#        ../../bin/release/brushes/sbrush64.rgb
#        ../../bin/release/brushes/sbrush8.rgb
#	PROPERTIES
#	MACOSX_PACKAGE_LOCATION MacOS/brushes
#)
#SET_SOURCE_FILES_PROPERTIES(
#        ../../bin/release/colormaps/colormap1.map
#        ../../bin/release/colormaps/colormap2.map
#	PROPERTIES
#	MACOSX_PACKAGE_LOCATION MacOS/colormaps
#)
SET_SOURCE_FILES_PROPERTIES(
        ../../images/arcstat_icon.icns
	PROPERTIES
	MACOSX_PACKAGE_LOCATION Resources
)
ELSE(APPLE)
	add_executable(arcstat-ui ${arcstatui_SRCS} ${arcstatui_MOC_SRCS} ${arcstatui_RC_SRCS} ${arcstatui_UIS_H} )
ENDIF(APPLE)

include_directories(${CMAKE_CURRENT_BINARY_DIR} ${Arc_INCLUDE_DIRS} ${GlibmmConfig_INCLUDE_DIR} ${Glibmm_INCLUDE_DIR} ${GlibConfig_INCLUDE_DIR} ${Glib_INCLUDE_DIR} ${SigC++Config_INCLUDE_DIR} ${SigC++_INCLUDE_DIR} ${LIBXML2_INCLUDE_DIR})

target_link_libraries (arcstat-ui ${Arc_LIBRARIES} ${Glibmm_LIBRARY} ${Glib_LIBRARIES} ${SigC++_LIBRARIES} ${LIBXML2_LIBRARIES} ${QT_LIBRARIES})

#if (LINUX)
install(TARGETS arcstat-ui DESTINATION bin)
install(FILES arcstat-ui.desktop DESTINATION share/applications)
#endif(LINUX)

=== src/arcstorage-ui/CMakeLists.txt ===
add_definitions(-DQT_NO_KEYWORDS)

include(${QT_USE_FILE})

set(arcstorageui_UIS
    mainwindow.ui
    filepropertiesdialog.ui
    srmsettingsdialog.ui
    transferlistwindow.ui
    ../common/proxywindow.ui
)

set(arcstorageui_SRCS
    main.cpp
    mainwindow.cpp
    fileserver.cpp
    arcfileelement.cpp
    dragdropabletreewidget.cpp
    fileserverfactory.cpp
    filepropertiesdialog.cpp
    srmfileserver.cpp
    srmsettingsdialog.cpp
    settings.cpp
    filetransfer.cpp
    filetransferlist.cpp
    transferlistwindow.cpp
    globalstateinfo.cpp
    ../common/arctools.cpp
    ../common/arcproxy-utils.cpp
    ../common/proxywindow.cpp
)

set(arcstorageui_MOC_HDRS
    mainwindow.h
    filepropertiesdialog.h
    srmfileserver.h
    srmsettingsdialog.h
    filetransfer.h
    filetransferlist.h
    transferlistwindow.h
    globalstateinfo.h
    ../common/arctools.h
    ../common/arcproxy-utils.h
    ../common/proxywindow.h
)

#SET(arcexplorerui_RCS 
#  arcexplorer-ui.qrc
#)

# After this call, foo_MOC_SRCS = moc_Class1.cxx moc_Class2.cxx moc_Class3.cxx.
QT4_WRAP_CPP(arcstorageui_MOC_SRCS ${arcstorageui_MOC_HDRS} )
QT4_WRAP_UI(arcstorageui_UIS_H ${arcstorageui_UIS} )
#QT4_ADD_RESOURCES( arcstorageui_RC_SRCS ${arcstorageui_RCS} )

IF(APPLE)
	add_executable(arcstorage-ui 
	MACOSX_BUNDLE ${arcstorageui_SRCS} ${arcstorageui_MOC_SRCS} ${arcstorageui_RC_SRCS} ${arcstorageui_UIS_H} 
	../../images/arcstorage_icon.icns )

install(TARGETS arcstorage-ui
   BUNDLE
   DESTINATION .
)

SET( MACOSX_BUNDLE_ICON_FILE arcstorage_icon.icns )
SET( MACOSX_BUNDLE_SHORT_VERSION_STRING 0.1 )
SET( MACOSX_BUNDLE_VERSION 0.1 )
SET( MACOSX_BUNDLE_LONG_VERSION_STRING 0.1 )

#SET_SOURCE_FILES_PROPERTIES(
#        ../../bin/release/brushes/rbrush16.rgb
#        ../../bin/release/brushes/rbrush32.rgb
#        ../../bin/release/brushes/rbrush4.rgb
#        ../../bin/release/brushes/rbrush64.rgb
#        ../../bin/release/brushes/rbrush8.rgb
#        ../../bin/release/brushes/sbrush16.rgb
#        ../../bin/release/brushes/sbrush32.rgb
#        ../../bin/release/brushes/sbrush4.rgb
#        ../../bin/release/brushes/sbrush64.rgb
#        ../../bin/release/brushes/sbrush8.rgb
#	PROPERTIES
#	MACOSX_PACKAGE_LOCATION MacOS/brushes
#)
#SET_SOURCE_FILES_PROPERTIES(
#        ../../bin/release/colormaps/colormap1.map
#        ../../bin/release/colormaps/colormap2.map
#	PROPERTIES
#	MACOSX_PACKAGE_LOCATION MacOS/colormaps
#)
SET_SOURCE_FILES_PROPERTIES(
        ../../images/arcstorage_icon.icns
	PROPERTIES
	MACOSX_PACKAGE_LOCATION Resources
)
ELSE(APPLE)
	add_executable(arcstorage-ui ${arcstorageui_SRCS} ${arcstorageui_MOC_SRCS} ${arcstorageui_UIS_H} )
ENDIF(APPLE)


include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${PROJECT_SOURCE_DIR}/src/common ${Arc_INCLUDE_DIRS} ${GlibmmConfig_INCLUDE_DIR} ${Glibmm_INCLUDE_DIR} ${GlibConfig_INCLUDE_DIR} ${Glib_INCLUDE_DIR} ${SigC++Config_INCLUDE_DIR} ${SigC++_INCLUDE_DIR} ${LIBXML2_INCLUDE_DIR})

target_link_libraries (arcstorage-ui ${Arc_LIBRARIES} ${Glibmm_LIBRARY} ${Glib_LIBRARIES} ${SigC++_LIBRARIES} ${LIBXML2_LIBRARIES} ${QT_LIBRARIES} ${OPENSSL_SSL_LIBRARIES} ${OPENSSL_CRYPTO_LIBRARIES})

#if (LINUX)
install(TARGETS arcstorage-ui DESTINATION bin)
install(FILES arcstorage-ui.desktop DESTINATION share/applications)
#endif(LINUX)

=== src/arcsub-ui/CMakeLists.txt ===
add_definitions(-DQT_NO_KEYWORDS)

include(${QT_USE_FILE})

SET(arcsubui_UIS
    mainwindow.ui
)

SET(arcsubui_SRCS
  mainwindow.cpp
  jobdefinitions.cpp
  main.cpp
)

SET(arcsubui_MOC_HDRS
  jobdefinitions.h
  mainwindow.h
)

#SET(arccertui_RCS 
#  arcproxy-ui.qrc
#)

# After this call, foo_MOC_SRCS = moc_Class1.cxx moc_Class2.cxx moc_Class3.cxx.
QT4_WRAP_CPP(arcsubui_MOC_SRCS ${arcsubui_MOC_HDRS} )
QT4_WRAP_UI(arcsubui_UIS_H ${arcsubui_UIS} )
QT4_ADD_RESOURCES( arcsubui_RC_SRCS ${arcsubui_RCS} )

IF(APPLE)
ADD_EXECUTABLE(
	arcsub-ui 
	MACOSX_BUNDLE
	${arcproxyui_SRCS} ${arcproxyui_MOC_SRCS} ${arcproxyui_RC_SRCS} ${arcproxyui_UIS_H}
    ../../images/arccert_icon.icns
)

install(TARGETS arcsub-ui
   BUNDLE
   DESTINATION .
)

SET( MACOSX_BUNDLE_ICON_FILE arcsub_icon.icns )
SET( MACOSX_BUNDLE_SHORT_VERSION_STRING 0.1 )
SET( MACOSX_BUNDLE_VERSION 0.1 )
SET( MACOSX_BUNDLE_LONG_VERSION_STRING 0.1 )

#SET_SOURCE_FILES_PROPERTIES(
#        ../../bin/release/brushes/rbrush16.rgb
#        ../../bin/release/brushes/rbrush32.rgb
#        ../../bin/release/brushes/rbrush4.rgb
#        ../../bin/release/brushes/rbrush64.rgb
#        ../../bin/release/brushes/rbrush8.rgb
#        ../../bin/release/brushes/sbrush16.rgb
#        ../../bin/release/brushes/sbrush32.rgb
#        ../../bin/release/brushes/sbrush4.rgb
#        ../../bin/release/brushes/sbrush64.rgb
#        ../../bin/release/brushes/sbrush8.rgb
#	PROPERTIES
#	MACOSX_PACKAGE_LOCATION MacOS/brushes
#)
#SET_SOURCE_FILES_PROPERTIES(
#        ../../bin/release/colormaps/colormap1.map
#        ../../bin/release/colormaps/colormap2.map
#	PROPERTIES
#	MACOSX_PACKAGE_LOCATION MacOS/colormaps
#)
SET_SOURCE_FILES_PROPERTIES(
        ../../images/arcsub_icon.icns
	PROPERTIES
	MACOSX_PACKAGE_LOCATION Resources
)
ELSE(APPLE)
	add_executable(arcsub-ui ${arcsubui_SRCS} ${arcsubui_MOC_SRCS} ${arcsubui_RC_SRCS} ${arcsubui_UIS_H} )
ENDIF(APPLE)

include_directories(${CMAKE_CURRENT_BINARY_DIR} ${Arc_INCLUDE_DIRS} ${GlibmmConfig_INCLUDE_DIR} ${Glibmm_INCLUDE_DIR} ${GlibConfig_INCLUDE_DIR} ${Glib_INCLUDE_DIR} ${SigC++Config_INCLUDE_DIR} ${SigC++_INCLUDE_DIR} ${LIBXML2_INCLUDE_DIR})

target_link_libraries (arcsub-ui ${Arc_LIBRARIES} ${Glibmm_LIBRARY} ${Glib_LIBRARIES} ${SigC++_LIBRARIES} ${LIBXML2_LIBRARIES} ${QT_LIBRARIES} ${OPENSSL_SSL_LIBRARIES} ${OPENSSL_CRYPTO_LIBRARIES})

#if(LINUX)
install(TARGETS arcsub-ui DESTINATION bin)
install(FILES arcsub-ui.desktop DESTINATION share/applications)
#endif(LINUX)

=== debian/changelog ===
arc-gui-clients (0.3.1-1) unstable; urgency=low

  * Initial release (Closes: #688092)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 18 Sep 2012 16:39:11 +0200

=== debian/control ===
Source: arc-gui-clients
Section: net
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 8.0.0), cmake, libqt4-dev, libglibmm-2.4-dev, nordugrid-arc-dev (>= 2)
Standards-Version: 3.9.3
Homepage: http://sourceforge.net/projects/arc-gui-clients/

Package: arc-gui-clients
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ARC Graphical Clients
 Provides graphical clients to the NorduGrid ARC middleware.

## arc-gui-clients 0.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,14 +5,17 @@
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")
 
 find_package(OpenSSL REQUIRED)
-find_package(Qt4 COMPONENTS QtMain QtCore QtGui QtSql QtXml QtNetwork REQUIRED)
+
+set(QT_MAKE_EXECUTABLE "/opt/local/bin/qmake")
+find_package(Qt4 COMPONENTS QtMain QtCore QtGui QtSql QtXml QtNetwork QtWebKit REQUIRED)
 find_package(Glib REQUIRED)
 find_package(LibXml2 REQUIRED)
 find_package(Glibmm REQUIRED)
 find_package(Arc REQUIRED)
 
+configure_file(${CMAKE_SOURCE_DIR}/src/common/arc-gui-config.h.in ${CMAKE_SOURCE_DIR}/src/common/arc-gui-config.h)
+
 include(${QT_USE_FILE})
-#message(${QT_USE_FILE})
 
 subdirs(src)
 
@@ -20,10 +23,10 @@
 set(CPACK_PACKAGE_NAME "arc-gui-clients")
 set(CPACK_PACKAGE_VENDOR "lunarc.lu.se")
 set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Graphical clients for the ARC middleware")
-set(CPACK_PACKAGE_VERSION "0.3.1")
+set(CPACK_PACKAGE_VERSION "0.4.3")
 set(CPACK_PACKAGE_VERSION_MAJOR "0")
-set(CPACK_PACKAGE_VERSION_MINOR "3")
-set(CPACK_PACKAGE_VERSION_PATCH "1")
+set(CPACK_PACKAGE_VERSION_MINOR "4")
+set(CPACK_PACKAGE_VERSION_PATCH "3")
 SET(CPACK_BINARY_RPM "ON")
 set(CPACK_RPM_PACKAGE_VENDOR "Lunarc, Lund University")
 set(CPACK_RPM_PACKAGE_LICENSE "Apache License V2.0")
@@ -45,6 +48,7 @@
         ./builddir/
         ./bin/
 )
+SET(CPACK_RPM_PACKAGE_DEBUG 1)
 include(CPack)
 
 include(CheckFileOffsetBits)

=== src/CMakeLists.txt ===
subdirs(arccert-ui arcsub-ui arcstat-ui arcproxy-ui arcstorage-ui)

=== src/arccert-ui/CMakeLists.txt ===
--- 
+++ 
@@ -3,16 +3,16 @@
 include(${QT_USE_FILE})
 
 SET(arccertui_UIS
-    mainwindow.ui
+    certconvertwindow.ui
 )
 
 SET(arccertui_SRCS
-  mainwindow.cpp
+  certconvertwindow.cpp
   main.cpp
 )
 
 SET(arccertui_MOC_HDRS
-  mainwindow.h
+  certconvertwindow.h
 )
 
 #SET(arccertui_RCS 
@@ -24,7 +24,7 @@
 QT4_WRAP_UI(arccertui_UIS_H ${arccertui_UIS} )
 QT4_ADD_RESOURCES( arccertui_RC_SRCS ${arccertui_RCS} )
 
-IF(APPLE)
+IF(APPLES)
 ADD_EXECUTABLE(
 	arccert-ui 
 	MACOSX_BUNDLE
@@ -67,11 +67,11 @@
 	PROPERTIES
 	MACOSX_PACKAGE_LOCATION Resources
 )
-ELSE(APPLE)
+ELSE(APPLES)
 	add_executable(arccert-ui ${arccertui_SRCS} ${arccertui_MOC_SRCS} ${arccertui_RC_SRCS} ${arccertui_UIS_H} )
-ENDIF(APPLE)
+ENDIF(APPLES)
 
-include_directories(${CMAKE_CURRENT_BINARY_DIR} ${Arc_INCLUDE_DIRS} ${GlibmmConfig_INCLUDE_DIR} ${Glibmm_INCLUDE_DIR} ${GlibConfig_INCLUDE_DIR} ${Glib_INCLUDE_DIR} ${SigC++Config_INCLUDE_DIR} ${SigC++_INCLUDE_DIR} ${LIBXML2_INCLUDE_DIR})
+include_directories(${CMAKE_CURRENT_BINARY_DIR} ${PROJECT_SOURCE_DIR}/src/common ${Arc_INCLUDE_DIRS} ${GlibmmConfig_INCLUDE_DIR} ${Glibmm_INCLUDE_DIR} ${GlibConfig_INCLUDE_DIR} ${Glib_INCLUDE_DIR} ${SigC++Config_INCLUDE_DIR} ${SigC++_INCLUDE_DIR} ${LIBXML2_INCLUDE_DIR})
 
 target_link_libraries (arccert-ui ${Arc_LIBRARIES} ${Glibmm_LIBRARY} ${Glib_LIBRARIES} ${SigC++_LIBRARIES} ${LIBXML2_LIBRARIES} ${QT_LIBRARIES} ${OPENSSL_SSL_LIBRARIES} ${OPENSSL_CRYPTO_LIBRARIES})

=== src/arcproxy-ui/CMakeLists.txt ===
--- 
+++ 
@@ -5,19 +5,24 @@
 SET(arcproxyui_UIS
     ../common/proxywindow.ui
     ../common/infodialog.ui
+    ../common/helpwindow.ui
 )
 
 SET(arcproxyui_SRCS
+  ../common/arcproxy-utils-functions.cpp
   ../common/arcproxy-utils.cpp
   ../common/infodialog.cpp
   ../common/proxywindow.cpp
+  ../common/helpwindow.cpp
   main.cpp
 )
 
 SET(arcproxyui_MOC_HDRS
+  ../common/arcproxy-utils-functions.h
   ../common/arcproxy-utils.h
   ../common/proxywindow.h
   ../common/infodialog.h
+  ../common/helpwindow.h
 )
 
 SET(arcproxyui_RCS 
@@ -29,7 +34,7 @@
 QT4_WRAP_UI(arcproxyui_UIS_H ${arcproxyui_UIS} )
 QT4_ADD_RESOURCES( arcproxyui_RC_SRCS ${arcproxyui_RCS} )
 
-IF(APPLE)
+IF(APPLES)
 ADD_EXECUTABLE(
 	arcproxy-ui 
 	MACOSX_BUNDLE
@@ -72,11 +77,11 @@
 	PROPERTIES
 	MACOSX_PACKAGE_LOCATION Resources
 )
-ELSE(APPLE)
+ELSE(APPLES)
 	add_executable(arcproxy-ui ${arcproxyui_SRCS} ${arcproxyui_MOC_SRCS} ${arcproxyui_RC_SRCS} ${arcproxyui_UIS_H} )
-ENDIF(APPLE)
+ENDIF(APPLES)
 
-include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${PROJECT_SOURCE_DIR}/src/common ${Arc_INCLUDE_DIRS} ${GlibmmConfig_INCLUDE_DIR} ${Glibmm_INCLUDE_DIR} ${GlibConfig_INCLUDE_DIR} ${Glib_INCLUDE_DIR} ${SigC++Config_INCLUDE_DIR} ${SigC++_INCLUDE_DIR} ${LIBXML2_INCLUDE_DIR})
+include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${PROJECT_SOURCE_DIR}/src/common ${Arc_INCLUDE_DIRS} ${GlibmmConfig_INCLUDE_DIR} ${Glibmm_INCLUDE_DIR} ${GlibConfig_INCLUDE_DIR} ${Glib_INCLUDE_DIR} ${SigC++Config_INCLUDE_DIR} ${SigC++_INCLUDE_DIR} ${LIBXML2_INCLUDE_DIR})
 
 target_link_libraries (arcproxy-ui ${Arc_LIBRARIES} ${Glibmm_LIBRARY} ${Glib_LIBRARIES} ${SigC++_LIBRARIES} ${LIBXML2_LIBRARIES} ${QT_LIBRARIES} ${OPENSSL_SSL_LIBRARIES} ${OPENSSL_CRYPTO_LIBRARIES})

=== src/arcstat-ui/CMakeLists.txt ===
--- 
+++ 
@@ -3,19 +3,19 @@
 include(${QT_USE_FILE})
 
 SET(arcstatui_UIS
-    mainwindow.ui
+    jobstatuswindow.ui
 )
 
 SET(arcstatui_SRCS
   JmBase.cpp
-  mainwindow.cpp
+  jobstatuswindow.cpp
   main.cpp
   arcjobcontroller.cpp
 )
 
 SET(arcstatui_MOC_HDRS
   JmBase.h
-  mainwindow.h
+  jobstatuswindow.h
   arcjobcontroller.h
 )
 
@@ -28,7 +28,7 @@
 QT4_WRAP_UI(arcstatui_UIS_H ${arcstatui_UIS} )
 QT4_ADD_RESOURCES( arcstatui_RC_SRCS ${arcstatui_RCS} )
 
-IF(APPLE)
+IF(APPLES)
 	add_executable(arcstat-ui 
 	MACOSX_BUNDLE 
 	${arcstatui_SRCS} ${arcstatui_MOC_SRCS} ${arcstatui_RC_SRCS} ${arcstatui_UIS_H} 
@@ -69,11 +69,11 @@
 	PROPERTIES
 	MACOSX_PACKAGE_LOCATION Resources
 )
-ELSE(APPLE)
+ELSE(APPLES)
 	add_executable(arcstat-ui ${arcstatui_SRCS} ${arcstatui_MOC_SRCS} ${arcstatui_RC_SRCS} ${arcstatui_UIS_H} )
-ENDIF(APPLE)
+ENDIF(APPLES)
 
-include_directories(${CMAKE_CURRENT_BINARY_DIR} ${Arc_INCLUDE_DIRS} ${GlibmmConfig_INCLUDE_DIR} ${Glibmm_INCLUDE_DIR} ${GlibConfig_INCLUDE_DIR} ${Glib_INCLUDE_DIR} ${SigC++Config_INCLUDE_DIR} ${SigC++_INCLUDE_DIR} ${LIBXML2_INCLUDE_DIR})
+include_directories(${CMAKE_CURRENT_BINARY_DIR} ${PROJECT_SOURCE_DIR}/src/common ${Arc_INCLUDE_DIRS} ${GlibmmConfig_INCLUDE_DIR} ${Glibmm_INCLUDE_DIR} ${GlibConfig_INCLUDE_DIR} ${Glib_INCLUDE_DIR} ${SigC++Config_INCLUDE_DIR} ${SigC++_INCLUDE_DIR} ${LIBXML2_INCLUDE_DIR})
 
 target_link_libraries (arcstat-ui ${Arc_LIBRARIES} ${Glibmm_LIBRARY} ${Glib_LIBRARIES} ${SigC++_LIBRARIES} ${LIBXML2_LIBRARIES} ${QT_LIBRARIES})

=== src/arcstorage-ui/CMakeLists.txt ===
--- 
+++ 
@@ -3,57 +3,71 @@
 include(${QT_USE_FILE})
 
 set(arcstorageui_UIS
-    mainwindow.ui
+    arcstoragewindow.ui
     filepropertiesdialog.ui
     srmsettingsdialog.ui
     transferlistwindow.ui
+    applicationsettings.ui
+    filepropertyinspector.ui
+    renamedialog.ui
     ../common/proxywindow.ui
+    ../common/helpwindow.ui
 )
 
 set(arcstorageui_SRCS
     main.cpp
-    mainwindow.cpp
+    arcstoragewindow.cpp
     fileserver.cpp
     arcfileelement.cpp
     dragdropabletreewidget.cpp
     fileserverfactory.cpp
     filepropertiesdialog.cpp
-    srmfileserver.cpp
+    arcfileserver.cpp
     srmsettingsdialog.cpp
     settings.cpp
     filetransfer.cpp
     filetransferlist.cpp
     transferlistwindow.cpp
     globalstateinfo.cpp
+    applicationsettings.cpp
+    filepropertyinspector.cpp
+    renamedialog.cpp
     ../common/arctools.cpp
     ../common/arcproxy-utils.cpp
+    ../common/arcproxy-utils-functions.cpp
     ../common/proxywindow.cpp
+    ../common/helpwindow.cpp
 )
 
 set(arcstorageui_MOC_HDRS
-    mainwindow.h
+    arcstoragewindow.h
     filepropertiesdialog.h
-    srmfileserver.h
+    arcfileserver.h
     srmsettingsdialog.h
     filetransfer.h
     filetransferlist.h
     transferlistwindow.h
     globalstateinfo.h
+    applicationsettings.h
+    filepropertyinspector.h
+    renamedialog.h
     ../common/arctools.h
     ../common/arcproxy-utils.h
     ../common/proxywindow.h
+    ../common/arcproxy-utils-functions.h
+    ../common/helpwindow.h
 )
 
-#SET(arcexplorerui_RCS 
-#  arcexplorer-ui.qrc
-#)
+SET(arcstorageui_RCS
+  arcstorage-ui-resources.qrc
+)
 
 # After this call, foo_MOC_SRCS = moc_Class1.cxx moc_Class2.cxx moc_Class3.cxx.
 QT4_WRAP_CPP(arcstorageui_MOC_SRCS ${arcstorageui_MOC_HDRS} )
 QT4_WRAP_UI(arcstorageui_UIS_H ${arcstorageui_UIS} )
-#QT4_ADD_RESOURCES( arcstorageui_RC_SRCS ${arcstorageui_RCS} )
+QT4_ADD_RESOURCES(arcstorageui_RC_SRCS ${arcstorageui_RCS} )
 
-IF(APPLE)
+IF(APPLES)
 	add_executable(arcstorage-ui 
 	MACOSX_BUNDLE ${arcstorageui_SRCS} ${arcstorageui_MOC_SRCS} ${arcstorageui_RC_SRCS} ${arcstorageui_UIS_H} 
 	../../images/arcstorage_icon.icns )
@@ -93,9 +107,9 @@
 	PROPERTIES
 	MACOSX_PACKAGE_LOCATION Resources
 )
-ELSE(APPLE)
-	add_executable(arcstorage-ui ${arcstorageui_SRCS} ${arcstorageui_MOC_SRCS} ${arcstorageui_UIS_H} )
-ENDIF(APPLE)
+ELSE(APPLES)
+        add_executable(arcstorage-ui ${arcstorageui_SRCS} ${arcstorageui_MOC_SRCS} ${arcstorageui_RC_SRCS} ${arcstorageui_UIS_H} )
+ENDIF(APPLES)
 
 
 include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${PROJECT_SOURCE_DIR}/src/common ${Arc_INCLUDE_DIRS} ${GlibmmConfig_INCLUDE_DIR} ${Glibmm_INCLUDE_DIR} ${GlibConfig_INCLUDE_DIR} ${Glib_INCLUDE_DIR} ${SigC++Config_INCLUDE_DIR} ${SigC++_INCLUDE_DIR} ${LIBXML2_INCLUDE_DIR})

=== src/arcsub-ui/CMakeLists.txt ===
--- 
+++ 
@@ -3,30 +3,46 @@
 include(${QT_USE_FILE})
 
 SET(arcsubui_UIS
-    mainwindow.ui
+    jobdefinitionwindow.ui
+    ../common/proxywindow.ui
+    ../common/helpwindow.ui
 )
 
 SET(arcsubui_SRCS
-  mainwindow.cpp
+    ../common/arctools.cpp
+    ../common/arcproxy-utils.cpp
+    ../common/arcproxy-utils-functions.cpp
+    ../common/proxywindow.cpp
+    ../common/helpwindow.cpp  
+  arcsubmitcontroller.cpp
+  utils.cpp
+  jobdefinitionwindow.cpp
   jobdefinitions.cpp
   main.cpp
 )
 
 SET(arcsubui_MOC_HDRS
+    ../common/arctools.h
+    ../common/arcproxy-utils.h
+    ../common/proxywindow.h
+    ../common/arcproxy-utils-functions.h
+    ../common/helpwindow.h
+  arcsubmitcontroller.h
+  utils.h
   jobdefinitions.h
-  mainwindow.h
+  jobdefinitionwindow.h
 )
 
-#SET(arccertui_RCS 
-#  arcproxy-ui.qrc
-#)
+SET(arcsubui_RCS
+  arcsubui.qrc
+)
 
 # After this call, foo_MOC_SRCS = moc_Class1.cxx moc_Class2.cxx moc_Class3.cxx.
 QT4_WRAP_CPP(arcsubui_MOC_SRCS ${arcsubui_MOC_HDRS} )
 QT4_WRAP_UI(arcsubui_UIS_H ${arcsubui_UIS} )
 QT4_ADD_RESOURCES( arcsubui_RC_SRCS ${arcsubui_RCS} )
 
-IF(APPLE)
+IF(APPLES)
 ADD_EXECUTABLE(
 	arcsub-ui 
 	MACOSX_BUNDLE
@@ -69,11 +85,11 @@
 	PROPERTIES
 	MACOSX_PACKAGE_LOCATION Resources
 )
-ELSE(APPLE)
+ELSE(APPLES)
 	add_executable(arcsub-ui ${arcsubui_SRCS} ${arcsubui_MOC_SRCS} ${arcsubui_RC_SRCS} ${arcsubui_UIS_H} )
-ENDIF(APPLE)
+ENDIF(APPLES)
 
-include_directories(${CMAKE_CURRENT_BINARY_DIR} ${Arc_INCLUDE_DIRS} ${GlibmmConfig_INCLUDE_DIR} ${Glibmm_INCLUDE_DIR} ${GlibConfig_INCLUDE_DIR} ${Glib_INCLUDE_DIR} ${SigC++Config_INCLUDE_DIR} ${SigC++_INCLUDE_DIR} ${LIBXML2_INCLUDE_DIR})
+include_directories(${CMAKE_CURRENT_BINARY_DIR} ${Arc_INCLUDE_DIRS} ${PROJECT_SOURCE_DIR}/src/common ${GlibmmConfig_INCLUDE_DIR} ${Glibmm_INCLUDE_DIR} ${GlibConfig_INCLUDE_DIR} ${Glib_INCLUDE_DIR} ${SigC++Config_INCLUDE_DIR} ${SigC++_INCLUDE_DIR} ${LIBXML2_INCLUDE_DIR})
 
 target_link_libraries (arcsub-ui ${Arc_LIBRARIES} ${Glibmm_LIBRARY} ${Glib_LIBRARIES} ${SigC++_LIBRARIES} ${LIBXML2_LIBRARIES} ${QT_LIBRARIES} ${OPENSSL_SSL_LIBRARIES} ${OPENSSL_CRYPTO_LIBRARIES})

=== debian/changelog ===
arc-gui-clients (0.4.3-1) unstable; urgency=low

  * New release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 08 May 2013 22:45:38 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 8.0.0), cmake, libqt4-dev, libglibmm-2.4-dev, nordugrid-arc-dev (>= 2)
+Build-Depends: debhelper (>= 8.0.0), cmake, libqt4-dev, libqtwebkit-dev, libglibmm-2.4-dev, nordugrid-arc-dev (>= 2)
 Standards-Version: 3.9.3
 Homepage: http://sourceforge.net/projects/arc-gui-clients/

## arc-gui-clients 0.4.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,27 @@
 cmake_minimum_required (VERSION 2.6)
 project(arc-gui-clients)
 
-#set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${PROJECT_SOURCE_DIR}/bin")
+if (APPLE)
+SET( CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -headerpad_max_install_names" )
+SET( CMAKE_SKIP_INSTALL_RPATH ON )
+if(CMAKE_SYSTEM_NAME STREQUAL "Darwin")
+   # No rpath on Darwin. Setting it will only cause trouble.
+else(CMAKE_SYSTEM_NAME STREQUAL "Darwin")
+   option(USE_RPATH "Use -rpath when linking libraries, executables" ON)
+endif(CMAKE_SYSTEM_NAME STREQUAL "Darwin")
+endif (APPLE)
+
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")
 
 find_package(OpenSSL REQUIRED)
-
 set(QT_MAKE_EXECUTABLE "/opt/local/bin/qmake")
 find_package(Qt4 COMPONENTS QtMain QtCore QtGui QtSql QtXml QtNetwork QtWebKit REQUIRED)
 find_package(Glib REQUIRED)
 find_package(LibXml2 REQUIRED)
 find_package(Glibmm REQUIRED)
 find_package(Arc REQUIRED)
+find_package(NSS REQUIRED)
+find_package(NSPR REQUIRED)
 
 configure_file(${CMAKE_SOURCE_DIR}/src/common/arc-gui-config.h.in ${CMAKE_SOURCE_DIR}/src/common/arc-gui-config.h)
 
@@ -23,10 +33,10 @@
 set(CPACK_PACKAGE_NAME "arc-gui-clients")
 set(CPACK_PACKAGE_VENDOR "lunarc.lu.se")
 set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Graphical clients for the ARC middleware")
-set(CPACK_PACKAGE_VERSION "0.4.3")
+set(CPACK_PACKAGE_VERSION "0.4.6")
 set(CPACK_PACKAGE_VERSION_MAJOR "0")
 set(CPACK_PACKAGE_VERSION_MINOR "4")
-set(CPACK_PACKAGE_VERSION_PATCH "3")
+set(CPACK_PACKAGE_VERSION_PATCH "6")
 SET(CPACK_BINARY_RPM "ON")
 set(CPACK_RPM_PACKAGE_VENDOR "Lunarc, Lund University")
 set(CPACK_RPM_PACKAGE_LICENSE "Apache License V2.0")

=== src/CMakeLists.txt ===
subdirs(arcproxy-ui arcstat-ui arcstorage-ui arccert-ui arcsub-ui)

=== src/arccert-ui/CMakeLists.txt ===
add_definitions(-DQT_NO_KEYWORDS)

include(${QT_USE_FILE})

SET(arccertui_UIS
    certconvertwindow.ui
)

SET(arccertui_SRCS
  certconvertwindow.cpp
  main.cpp
)

SET(arccertui_MOC_HDRS
  certconvertwindow.h
)

#SET(arccertui_RCS 
#  arcproxy-ui.qrc
#)

# After this call, foo_MOC_SRCS = moc_Class1.cxx moc_Class2.cxx moc_Class3.cxx.
QT4_WRAP_CPP(arccertui_MOC_SRCS ${arccertui_MOC_HDRS} )
QT4_WRAP_UI(arccertui_UIS_H ${arccertui_UIS} )
QT4_ADD_RESOURCES( arccertui_RC_SRCS ${arccertui_RCS} )

IF(APPLE)
	ADD_EXECUTABLE(
		arccert-ui
		MACOSX_BUNDLE
		${arccertui_SRCS} ${arccertui_MOC_SRCS} ${arccertui_RC_SRCS}
		${arccertui_UIS_H}
		../../images/arcproxy_icon.icns
	)

	install(TARGETS arccert-ui
		BUNDLE
		DESTINATION bin
	)

	SET( MACOSX_BUNDLE_ICON_FILE arcproxy_icon.icns )
	SET( MACOSX_BUNDLE_SHORT_VERSION_STRING 0.1 )
	SET( MACOSX_BUNDLE_VERSION 0.1 )
	SET( MACOSX_BUNDLE_LONG_VERSION_STRING 0.1 )
	SET_SOURCE_FILES_PROPERTIES(
			../../images/arcproxy_icon.icns
			PROPERTIES
			MACOSX_PACKAGE_LOCATION Resources
	)
	
ELSE(APPLE)
        add_executable(arccert-ui 
        	${arccertui_SRCS} ${arccertui_MOC_SRCS} ${arccertui_RC_SRCS}
        	${arccertui_UIS_H} 
        )
ENDIF(APPLE)

include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR} ${PROJECT_SOURCE_DIR}/src/common ${Arc_INCLUDE_DIRS} ${GlibmmConfig_INCLUDE_DIR} ${Glibmm_INCLUDE_DIR} ${GlibConfig_INCLUDE_DIR} ${Glib_INCLUDE_DIR} ${SigC++Config_INCLUDE_DIR} ${SigC++_INCLUDE_DIR} ${LIBXML2_INCLUDE_DIR})

target_link_libraries (arccert-ui ${Arc_LIBRARIES} ${Glibmm_LIBRARY} ${Glib_LIBRARIES} ${SigC++_LIBRARIES} ${LIBXML2_LIBRARIES} ${QT_LIBRARIES} ${OPENSSL_SSL_LIBRARIES} ${OPENSSL_CRYPTO_LIBRARIES})

IF(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
install(TARGETS arccert-ui DESTINATION bin)
install(FILES arccert-ui.desktop DESTINATION share/applications)
endif()

=== src/arcproxy-ui/CMakeLists.txt ===
add_definitions(-DQT_NO_KEYWORDS)

include(${QT_USE_FILE})

SET(arcproxyui_UIS
    ../common/proxywindow.ui
    ../common/infodialog.ui
    ../common/helpwindow.ui
)

SET(arcproxyui_SRCS
  ../common/arctools.cpp
  ../common/arcproxy-utils-functions.cpp
  ../common/arcproxy-utils.cpp
  ../common/infodialog.cpp
  ../common/proxywindow.cpp
  ../common/helpwindow.cpp
  main.cpp
)

SET(arcproxyui_MOC_HDRS
  ../common/arctools.h
  ../common/arcproxy-utils-functions.h
  ../common/arcproxy-utils.h
  ../common/proxywindow.h
  ../common/infodialog.h
  ../common/helpwindow.h
)

SET(arcproxyui_RCS 
  arcproxy-ui.qrc
)

# After this call, foo_MOC_SRCS = moc_Class1.cxx moc_Class2.cxx moc_Class3.cxx.
QT4_WRAP_CPP(arcproxyui_MOC_SRCS ${arcproxyui_MOC_HDRS} )
QT4_WRAP_UI(arcproxyui_UIS_H ${arcproxyui_UIS} )
QT4_ADD_RESOURCES( arcproxyui_RC_SRCS ${arcproxyui_RCS} )

IF(APPLE)
	ADD_EXECUTABLE(
		arcproxy-ui 
		MACOSX_BUNDLE
		${arcproxyui_SRCS} ${arcproxyui_MOC_SRCS} ${arcproxyui_RC_SRCS}
		${arcproxyui_UIS_H}
		../../images/arcproxy_icon.icns
	)

	install(TARGETS arcproxy-ui
		BUNDLE
		DESTINATION bin
	)

	SET( MACOSX_BUNDLE_ICON_FILE arcproxy_icon.icns )
	SET( MACOSX_BUNDLE_SHORT_VERSION_STRING 0.1 )
	SET( MACOSX_BUNDLE_VERSION 0.1 )
	SET( MACOSX_BUNDLE_LONG_VERSION_STRING 0.1 )
	SET_SOURCE_FILES_PROPERTIES(
		../../images/arcproxy_icon.icns
		PROPERTIES
		MACOSX_PACKAGE_LOCATION Resources
	)
ELSE(APPLE)
	add_executable(arcproxy-ui ${arcproxyui_SRCS} ${arcproxyui_MOC_SRCS} ${arcproxyui_RC_SRCS} ${arcproxyui_UIS_H} )
ENDIF(APPLE)

include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${PROJECT_SOURCE_DIR}/src/common ${Arc_INCLUDE_DIRS} ${GlibmmConfig_INCLUDE_DIR} ${Glibmm_INCLUDE_DIR} ${GlibConfig_INCLUDE_DIR} ${Glib_INCLUDE_DIR} ${SigC++Config_INCLUDE_DIR} ${SigC++_INCLUDE_DIR} ${LIBXML2_INCLUDE_DIR} ${NSS_INCLUDE_DIR} ${NSPR_INCLUDE_DIR})

target_link_libraries (arcproxy-ui ${Arc_LIBRARIES} ${Glibmm_LIBRARY} ${Glib_LIBRARIES} ${SigC++_LIBRARIES} ${LIBXML2_LIBRARIES} ${QT_LIBRARIES} ${OPENSSL_SSL_LIBRARIES} ${OPENSSL_CRYPTO_LIBRARIES} ${NSS_LIBRARY} ${NSPR_LIBRARY})

IF(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
install(TARGETS arcproxy-ui DESTINATION bin)
install(FILES arcproxy-ui.desktop DESTINATION share/applications)
endif()

=== src/arcstat-ui/CMakeLists.txt ===
add_definitions(-DQT_NO_KEYWORDS)

include(${QT_USE_FILE})

SET(arcstatui_UIS
    jobstatuswindow.ui
)

SET(arcstatui_SRCS
  JmBase.cpp
  jobstatuswindow.cpp
  main.cpp
  arcjobcontroller.cpp
)

SET(arcstatui_MOC_HDRS
  JmBase.h
  jobstatuswindow.h
  arcjobcontroller.h
)

SET(arcstatui_RCS 
  arcstat-ui.qrc
)

# After this call, foo_MOC_SRCS = moc_Class1.cxx moc_Class2.cxx moc_Class3.cxx.
QT4_WRAP_CPP(arcstatui_MOC_SRCS ${arcstatui_MOC_HDRS} )
QT4_WRAP_UI(arcstatui_UIS_H ${arcstatui_UIS} )
QT4_ADD_RESOURCES( arcstatui_RC_SRCS ${arcstatui_RCS} )

IF(APPLE)
	add_executable(arcstat-ui 
		MACOSX_BUNDLE 
		${arcstatui_SRCS} ${arcstatui_MOC_SRCS} ${arcstatui_RC_SRCS} ${arcstatui_UIS_H} 
		../../images/arcstat_icon.icns 
	)

	install(TARGETS arcstat-ui
		BUNDLE
		DESTINATION bin
	)

	SET( MACOSX_BUNDLE_ICON_FILE arcstat_icon.icns )
	SET( MACOSX_BUNDLE_SHORT_VERSION_STRING 0.1 )
	SET( MACOSX_BUNDLE_VERSION 0.1 )
	SET( MACOSX_BUNDLE_LONG_VERSION_STRING 0.1 )

	SET_SOURCE_FILES_PROPERTIES(
		../../images/arcstat_icon.icns
		PROPERTIES
		MACOSX_PACKAGE_LOCATION Resources
	)
ELSE(APPLE)
	add_executable(arcstat-ui ${arcstatui_SRCS} ${arcstatui_MOC_SRCS} ${arcstatui_RC_SRCS} ${arcstatui_UIS_H} )
ENDIF(APPLE)

include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${PROJECT_SOURCE_DIR}/src/common ${Arc_INCLUDE_DIRS} ${GlibmmConfig_INCLUDE_DIR} ${Glibmm_INCLUDE_DIR} ${GlibConfig_INCLUDE_DIR} ${Glib_INCLUDE_DIR} ${SigC++Config_INCLUDE_DIR} ${SigC++_INCLUDE_DIR} ${LIBXML2_INCLUDE_DIR} ${NSS_INCLUDE_DIR} ${NSPR_INCLUDE_DIR})

target_link_libraries (arcstat-ui ${Arc_LIBRARIES} ${Glibmm_LIBRARY} ${Glib_LIBRARIES} ${SigC++_LIBRARIES} ${LIBXML2_LIBRARIES} ${QT_LIBRARIES} ${OPENSSL_SSL_LIBRARIES} ${OPENSSL_CRYPTO_LIBRARIES} ${NSS_LIBRARY} ${NSPR_LIBRARY})


IF(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
install(TARGETS arcstat-ui DESTINATION bin)
install(FILES arcstat-ui.desktop DESTINATION share/applications)
endif()

=== src/arcstorage-ui/CMakeLists.txt ===
add_definitions(-DQT_NO_KEYWORDS)

include(${QT_USE_FILE})

set(arcstorageui_UIS
    arcstoragewindow.ui
    filepropertiesdialog.ui
    srmsettingsdialog.ui
    transferlistwindow.ui
    applicationsettings.ui
    filepropertyinspector.ui
    renamedialog.ui
    ../common/proxywindow.ui
    ../common/helpwindow.ui
)

set(arcstorageui_SRCS
    main.cpp
    arcstoragewindow.cpp
    fileserver.cpp
    arcfileelement.cpp
    dragdropabletreewidget.cpp
    fileserverfactory.cpp
    filepropertiesdialog.cpp
    arcfileserver.cpp
    srmsettingsdialog.cpp
    settings.cpp
    filetransfer.cpp
    filetransferlist.cpp
    transferlistwindow.cpp
    globalstateinfo.cpp
    applicationsettings.cpp
    filepropertyinspector.cpp
    renamedialog.cpp
    ../common/arctools.cpp
    ../common/arcproxy-utils.cpp
    ../common/arcproxy-utils-functions.cpp
    ../common/proxywindow.cpp
    ../common/helpwindow.cpp
)

set(arcstorageui_MOC_HDRS
    arcstoragewindow.h
    filepropertiesdialog.h
    arcfileserver.h
    srmsettingsdialog.h
    filetransfer.h
    filetransferlist.h
    transferlistwindow.h
    globalstateinfo.h
    applicationsettings.h
    filepropertyinspector.h
    renamedialog.h
    ../common/arctools.h
    ../common/arcproxy-utils.h
    ../common/proxywindow.h
    ../common/arcproxy-utils-functions.h
    ../common/helpwindow.h
)

SET(arcstorageui_RCS
  arcstorage-ui-resources.qrc
)

# After this call, foo_MOC_SRCS = moc_Class1.cxx moc_Class2.cxx moc_Class3.cxx.
QT4_WRAP_CPP(arcstorageui_MOC_SRCS ${arcstorageui_MOC_HDRS} )
QT4_WRAP_UI(arcstorageui_UIS_H ${arcstorageui_UIS} )
QT4_ADD_RESOURCES(arcstorageui_RC_SRCS ${arcstorageui_RCS} )

IF(APPLE)
	add_executable(arcstorage-ui 
		MACOSX_BUNDLE 
		${arcstorageui_SRCS} 
		${arcstorageui_MOC_SRCS} 
		${arcstorageui_RC_SRCS} 
		${arcstorageui_UIS_H} 
		../../images/arcstorage_icon.icns 
	)

	install(TARGETS arcstorage-ui
   		BUNDLE
   		DESTINATION bin
	)

	SET( MACOSX_BUNDLE_ICON_FILE arcstorage_icon.icns )
	SET( MACOSX_BUNDLE_SHORT_VERSION_STRING 0.1 )
	SET( MACOSX_BUNDLE_VERSION 0.1 )
	SET( MACOSX_BUNDLE_LONG_VERSION_STRING 0.1 )

	SET_SOURCE_FILES_PROPERTIES(
        ../../images/arcstorage_icon.icns
		PROPERTIES
		MACOSX_PACKAGE_LOCATION Resources
	)

   	set_target_properties(
   		arcstorage-ui
 		PROPERTIES BUILD_WITH_INSTALL_RPATH OFF
		INSTALL_NAME_DIR "@executable_path"
   	)

ELSE(APPLE)
        add_executable(arcstorage-ui ${arcstorageui_SRCS} ${arcstorageui_MOC_SRCS} ${arcstorageui_RC_SRCS} ${arcstorageui_UIS_H} )
ENDIF(APPLE)

include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${PROJECT_SOURCE_DIR}/src/common ${Arc_INCLUDE_DIRS} ${GlibmmConfig_INCLUDE_DIR} ${Glibmm_INCLUDE_DIR} ${GlibConfig_INCLUDE_DIR} ${Glib_INCLUDE_DIR} ${SigC++Config_INCLUDE_DIR} ${SigC++_INCLUDE_DIR} ${LIBXML2_INCLUDE_DIR} ${NSS_INCLUDE_DIR} ${NSPR_INCLUDE_DIR})

target_link_libraries (arcstorage-ui ${Arc_LIBRARIES} ${Glibmm_LIBRARY} ${Glib_LIBRARIES} ${SigC++_LIBRARIES} ${LIBXML2_LIBRARIES} ${QT_LIBRARIES} ${OPENSSL_SSL_LIBRARIES} ${OPENSSL_CRYPTO_LIBRARIES} ${NSS_LIBRARY} ${NSPR_LIBRARY})

IF(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    install(TARGETS arcstorage-ui DESTINATION bin)
    install(FILES arcstorage-ui.desktop DESTINATION share/applications)
ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "Linux")

=== src/arcsub-ui/CMakeLists.txt ===
add_definitions(-DQT_NO_KEYWORDS)

include(${QT_USE_FILE})

SET(arcsubui_UIS
    jobdefinitionwindow.ui
    ../common/proxywindow.ui
    ../common/helpwindow.ui
)

SET(arcsubui_SRCS
    ../common/arctools.cpp
    ../common/arcproxy-utils.cpp
    ../common/arcproxy-utils-functions.cpp
    ../common/proxywindow.cpp
    ../common/helpwindow.cpp  
  arcsubmitcontroller.cpp
  utils.cpp
  jobdefinitionwindow.cpp
  jobdefinitions.cpp
  main.cpp
)

SET(arcsubui_MOC_HDRS
    ../common/arctools.h
    ../common/arcproxy-utils.h
    ../common/proxywindow.h
    ../common/arcproxy-utils-functions.h
    ../common/helpwindow.h
  arcsubmitcontroller.h
  utils.h
  jobdefinitions.h
  jobdefinitionwindow.h
)

SET(arcsubui_RCS
  arcsubui.qrc
)

# After this call, foo_MOC_SRCS = moc_Class1.cxx moc_Class2.cxx moc_Class3.cxx.
QT4_WRAP_CPP(arcsubui_MOC_SRCS ${arcsubui_MOC_HDRS} )
QT4_WRAP_UI(arcsubui_UIS_H ${arcsubui_UIS} )
QT4_ADD_RESOURCES( arcsubui_RC_SRCS ${arcsubui_RCS} )

IF(APPLE)
	add_executable(arcsub-ui
		MACOSX_BUNDLE ${arcsubui_SRCS} ${arcsubui_MOC_SRCS} ${arcsubui_RC_SRCS}
		${arcsubui_UIS_H}
		../../images/arcstat_icon.icns 
	)

	install(TARGETS arcsub-ui
		BUNDLE
		DESTINATION bin
	)

	SET( MACOSX_BUNDLE_ICON_FILE arcstat_icon.icns )
	SET( MACOSX_BUNDLE_SHORT_VERSION_STRING 0.1 )
	SET( MACOSX_BUNDLE_VERSION 0.1 )
	SET( MACOSX_BUNDLE_LONG_VERSION_STRING 0.1 )

	SET_SOURCE_FILES_PROPERTIES(
		../../images/arcstat_icon.icns
		PROPERTIES
		MACOSX_PACKAGE_LOCATION Resources
	)

	set_target_properties(
	arcsub-ui
		PROPERTIES BUILD_WITH_INSTALL_RPATH OFF
		INSTALL_NAME_DIR "@executable_path"
	)

ELSE(APPLE)
        add_executable(arcsub-ui ${arcsubui_SRCS} ${arcsubui_MOC_SRCS} ${arcsubui_RC_SRCS} ${arcsubui_UIS_H} )
ENDIF(APPLE)

include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${PROJECT_SOURCE_DIR}/src/common ${Arc_INCLUDE_DIRS} ${GlibmmConfig_INCLUDE_DIR} ${Glibmm_INCLUDE_DIR} ${GlibConfig_INCLUDE_DIR} ${Glib_INCLUDE_DIR} ${SigC++Config_INCLUDE_DIR} ${SigC++_INCLUDE_DIR} ${LIBXML2_INCLUDE_DIR} ${NSS_INCLUDE_DIR} ${NSPR_INCLUDE_DIR})

target_link_libraries (arcsub-ui ${Arc_LIBRARIES} ${Glibmm_LIBRARY} ${Glib_LIBRARIES} ${SigC++_LIBRARIES} ${LIBXML2_LIBRARIES} ${QT_LIBRARIES} ${OPENSSL_SSL_LIBRARIES} ${OPENSSL_CRYPTO_LIBRARIES} ${NSS_LIBRARY} ${NSPR_LIBRARY})


IF(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
install(TARGETS arcsub-ui DESTINATION bin)
install(FILES arcsub-ui.desktop DESTINATION share/applications)
endif()

=== debian/changelog ===
arc-gui-clients (0.4.6-5build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 22:32:53 +0000

arc-gui-clients (0.4.6-5) unstable; urgency=medium

  * Port to Qt5 (Closes: #784450, #874817, #875930)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 11 Oct 2017 15:55:09 +0200

arc-gui-clients (0.4.6-4) unstable; urgency=medium

  * Add missing sources to debian/missing-sources (Closes: #849829)
  * Rebuild with gcc 7 - no changes required (Closes: #853318)
  * Remove workaround for too new libsigc++/glibmm (no longer needed)
  * Change Maintainer e-mail (fysast → physics)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 27 Sep 2017 14:49:58 +0200

arc-gui-clients (0.4.6-3) unstable; urgency=medium

  * Adapt to ARC 5.1 (Closes: #826831)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 24 Jun 2016 15:04:45 +0200

arc-gui-clients (0.4.6-2) unstable; urgency=medium

  * Add workaround for too new libsigc++/glibmm (-std=c++11) (Closes: #804601)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 10 Nov 2015 15:33:20 +0100

arc-gui-clients (0.4.6-1) unstable; urgency=low

  * New Release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 30 Nov 2013 07:08:27 +0100

=== debian/control ===
Source: arc-gui-clients
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends: debhelper (>= 9), cmake, qtbase5-dev, libqt5webkit5-dev, libglibmm-2.4-dev, libnss3-dev, nordugrid-arc-dev (>= 5.1)
Standards-Version: 4.1.1
Homepage: http://sourceforge.net/projects/arc-gui-clients/

Package: arc-gui-clients
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ARC Graphical Clients
 Provides graphical clients to the NorduGrid ARC middleware.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

export CFLAGS CXXFLAGS LDFLAGS

%:
	dh $@

override_dh_auto_configure:
	rm -f build
	rm -f clean
	rm -f configure
	dh_auto_configure
